#ifndef _VN_CAPTURE_DSHOW_H_
#define _VN_CAPTURE_DSHOW_H_

#ifdef WIN32


/** 
 * Get all available dshow devices
 * 
 * @param devtype 
 * 
 * @return NULL terminated array of device names
 */
char **vn_capture_get_device_list(int devtype);
void vn_capture_free_device_list(char **devices);

char **vn_capture_get_resolutions_list(const char *device);
void vn_capture_free_resolutions_list(char **resolutions);


#endif


#endif /* _VN_CAPTURE_DSHOW_H_ */
